summaryrefslogtreecommitdiff
path: root/bin/line2hackvr.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bin/line2hackvr.sh')
-rwxr-xr-xbin/line2hackvr.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/bin/line2hackvr.sh b/bin/line2hackvr.sh
new file mode 100755
index 0000000..7128026
--- /dev/null
+++ b/bin/line2hackvr.sh
@@ -0,0 +1,12 @@
+#!/bin/sh
+#this is used on turn2line output
+USAGE="usage: line2hackvr.sh name < turn2line-output"
+if [ "_$1" = '_' ];then
+ echo $USAGE >&2
+ exit 1
+fi
+if [ "_$1" = "_-h" -o "_$1" = "_--help" -o "_$1" = "_-help" ];then
+ echo $USAGE
+ exit 0
+fi
+xargs -L 1 printf "%s addshape 2 2 0 %d %d 0 %d %d\n" "$1" $line